Skip to main content
GET
List custom data for entity

Authorizations

Authorization
string
header
required

All requests to the Cortex API need to provide an Authorization: Bearer <token> header, where <token> is an API key created in the Settings page of your workspace.

Path Parameters

tagOrId
string
required

The tag (x-cortex-tag) or unique, auto-generated identifier (CID) for the entity. If the tag contains forward slashes, URL-encode each / as %2F. The tag is matched exactly as encoded, including leading, trailing, and consecutive slashes, which are preserved and not collapsed (for example, the tag /services/payments-api is referenced as %2Fservices%2Fpayments-api). Tags containing slashes are supported via the API but not in the Cortex UI; this difference is expected. Entity identifier - can be a tag or CID

Query Parameters

pageSize
integer<int32>
default:250
required

Number of results to return per page, between 1 and 1000. Default 250.

page
integer<int32>
default:0
required

Page number to return, 0-indexed. Default 0.

Response

Successfully retrieved custom data. If using pagination, we do not return page, total, or totalPages in the response. An empty array is returned once you reach the end.

dateUpdated
string<date-time>
required
key
string
required
source
enum<string>
required
Available options:
YAML,
API,
INTEGRATION
value
object
required
description
string
id
integer<int64>
Last modified on September 29, 2026